package de.dass_it.vanhelsing.gui.items;
public class ConfigItem extends ItemType implements UserObjectItem{
	private int id;
	private String ressource;
	private String key;
	private String value;
	
	public ConfigItem(){
	}
	
	public ConfigItem(int id, String ressource, String key, String value){
		this.setId(id);
		this.setRessource(ressource);
		this.setKey(key);
		this.value = value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getValue() {
		return value;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getKey() {
		return key;
	}

	public void setRessource(String ressource) {
		this.ressource = ressource;
	}

	public String getRessource() {
		return ressource;
	}
	
	public String toString() {
		return ("Key: " + key + ", Value: " + value);
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}
	
}
